%global momorel 2
%global qtver 3.3.7
%global kdever 3.5.6
%global kdelibsrel 6m
%global kdebaserel 3m
%global qtdir %{_libdir}/qt3
%global kdedir /usr
%global enable_gcc_check_and_hidden_visibility 0
%global md5sum_src0 b1ff5c4dfd14145535d344ef346bac74

Summary: KDE Graphical User Frontend (GUI) for yum
Name: kyum
Version: 0.7.5
Release: %{momorel}m%{?dist}
License: GPL
URL: http://www.sourceforge.net/projects/kyum
Group: Applications/System
%NoSource 0 http://dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.gz %{md5sum_src0}
Source1: admin.tar.bz2
Source2: %{name}.sh
Patch0: %{name}-%{version}-su.patch
Patch1: %{name}-%{version}-desktop.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: kdebase >= %{kdever}-%{kdebaserel}
Requires: yum, python
BuildPreReq: qt-devel >= %{qtver},
BuildPreReq: kdelibs-devel >= %{kdever}-%{kdelibsrel}
BuildPreReq: kdebase >= %{kdever}-%{kdebaserel}
BuildPreReq: automake, autoconf, libtool
BuildPreReq: desktop-file-utils

%description
KYum is a graphical user frontend (GUI) for yum.
You can use it to modify your repository files and
to control the most common operations of yum.

%prep
%setup -q

%patch0 -p1 -b .su
%patch1 -p1 -b .desktop~

# build fix
rm -rf admin
tar xf %{SOURCE1}

make -f admin/Makefile.common cvs

%build
export QTDIR=%{qtdir} KDEDIR=%{kdedir} QTLIB=%{qtdir}/lib

CFLAGS="%{optflags}" \
CXXFLAGS="%{optflags}" \
./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--with-qt-libraries=%{qtdir}/lib \
	--enable-new-ldflags \
%if %{enable_gcc_check_and_hidden_visibility}
	--enable-gcc-hidden-visibility \
%endif
	--disable-debug \
	--disable-warnings \
	--disable-rpath

make %{?_smp_mflags}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

mv %{buildroot}%{_bindir}/kyum %{buildroot}%{_bindir}/kyum.bin
install -m 755 %{SOURCE2} %{buildroot}%{_bindir}/kyum 

# GNOME desktop beautification (requires "Icon=name.png" fix in setup section)
mkdir -p %{buildroot}%{_datadir}/pixmaps
ln -s ../icons/hicolor/32x32/apps/kyum.png %{buildroot}%{_datadir}/pixmaps/kyum.png

# install desktop file
desktop-file-install --vendor= --delete-original \
  --dir %{buildroot}%{_datadir}/applications/kde \
  --add-category System \
  --add-category KDE \
  --add-category Qt \
  %{buildroot}%{_datadir}/applnk/Utilities/kyum.desktop

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog INSTALL TODO
%{_bindir}/kyum
%{_bindir}/kyum.bin
%{_datadir}/applications/kde/kyum.desktop
%{_datadir}/apps/kyum
%{_datadir}/doc/HTML/*/kyum
%{_datadir}/icons/*/*/apps/kyum.png
%{_datadir}/pixmaps/kyum.png

%changelog
* Sat Mar 10 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.7.5-2m)
- update desktop.patch (correct DocPath)

* Wed Mar  7 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.7.5-1m)
- initial package for Momonga Linux
- import kyum-0.7.5-su.patch from Fedora
 +* Mon Mar 06 2006 Jochen Schmitt <Jochen herr-schmitt de> 0.7.5-3
 +- su wrapper for kyum #182986
- add desktop.patch
- Summary and %%description are imported from Fedora
